RDKit: RDKit::FilterMatchOps::Or Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FilterMatchOps::Or Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterMatchOps::Or:

## Public Member Functions
| Or ()
| Or (const FilterMatcherBase &arg1, const FilterMatcherBase &arg2)
| Or (boost::shared_ptr< FilterMatcherBase > arg1, boost::shared_ptr< FilterMatcherBase > arg2)
| Or (const Or &rhs)
std::string | getName () const override
bool | isValid () const override
bool | hasMatch (const ROMol &mol) const override
| hasMatches
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const override
| getMatches
boost::shared_ptr< FilterMatcherBase > | copy () const override
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (std::string name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const

## Detailed Description

Definition at line 128 of file FilterMatchers.h.

## Constructor & Destructor Documentation

## ◆ Or() [1/4]

RDKit::FilterMatchOps::Or::Or | ( |  | ) |
| inline

Definition at line 134 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::FilterMatcherBase().

Referenced by copy(), and Or().

## ◆ Or() [2/4]

RDKit::FilterMatchOps::Or::Or | ( | const FilterMatcherBase & | arg1,
|  | const FilterMatcherBase & | arg2 )
| inline

Constructs or Ander true if arg1 or arg2 are true

Definition at line 138 of file FilterMatchers.h.

References copy(), and RDKit::FilterMatcherBase::FilterMatcherBase().

## ◆ Or() [3/4]

RDKit::FilterMatchOps::Or::Or | ( | boost::shared_ptr< FilterMatcherBase > | arg1,
|  | boost::shared_ptr< FilterMatcherBase > | arg2 )
| inline

Definition at line 141 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::FilterMatcherBase().

## ◆ Or() [4/4]

RDKit::FilterMatchOps::Or::Or | ( | const Or & | rhs | ) |
| inline

Definition at line 145 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::FilterMatcherBase(), and Or().

## Member Function Documentation

## ◆ copy()

boost::shared_ptr< FilterMatcherBase > RDKit::FilterMatchOps::Or::copy | ( |  | ) | const
| inlineoverridevirtual

copy copies the current FilterMatcherBase into one that can be passed around safely.

Implements RDKit::FilterMatcherBase.

Definition at line 172 of file FilterMatchers.h.

References Or().

Referenced by Or().

## ◆ getMatches()

bool RDKit::FilterMatchOps::Or::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect ) const
| inlineoverridevirtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 161 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

## ◆ getName()

std::string RDKit::FilterMatchOps::Or::getName | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 147 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

## ◆ hasMatch()

bool RDKit::FilterMatchOps::Or::hasMatch | ( | const ROMol & | mol | ) | const
| inlineoverridevirtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 156 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

## ◆ isValid()

bool RDKit::FilterMatchOps::Or::isValid | ( |  | ) | const
| inlineoverridevirtual

Implements RDKit::FilterMatcherBase.

Definition at line 152 of file FilterMatchers.h.

Referenced by getMatches(), and hasMatch().

The documentation for this class was generated from the following file:

- FilterMatchers.h